Subject: [PATCH] arm/arm64: remove atomic_clear_mask() in "include/asm/atomic.h"

From: [email-masked] (Chen Gang)
Date: Mon, 04 Nov 2013 15:36:42 +0800

Hello Maintainers:

Are these related patches for "arm[64]/include/asm/atomic.h" OK? If also
need me do something, please let me know, and I will/should try.

Thanks.

On 10/13/2013 06:28 AM, Catalin Marinas wrote:
> On 11 Oct 2013, at 17:55, Will Deacon <[email-masked]> wrote:
>> On Fri, Oct 11, 2013 at 12:47:05PM +0100, Chen Gang wrote:
>>> In current kernel wide source code, except other architectures, only
>>> s390 scsi drivers use atomic_clear_mask(), and arm/arm64 need not
>>> support s390 drivers.
>>>
>>> So remove atomic_clear_mask() from "arm[64]/include/asm/atomic.h".
>>
>>  Acked-by: Will Deacon <[email-masked]>
>>
>> Catalin, are you happy for me to send this via the ARM tree?
> 
> Fine by me.
> 
> Catalin
> 
> 

-- 
Chen Gang